--- orig-Makefile	Sat May 24 02:50:23 2003
+++ Makefile	Sat May 24 02:49:27 2003
@@ -68,11 +68,11 @@
 DEFINES += -DVERSION=\"$(version).$(revision).$(subrev)\" $(DEBIAN)
 CFLAGS  += $(INCLUDES) $(DEFINES) -Os -Wall
 #CFLAGS  += $(INCLUDES) $(DEFINES) -g -Wall
 LDFLAGS += $(LDPATH) $(LIBS)
 
-HEADERS  = evilwm.h
+HEADERS  = evilwm.h keymap.h
 SRCS     = client.c events.c main.c misc.c new.c screen.c
 OBJS     = $(SRCS:.c=.o)
 
 all: evilwm
 
--- orig-events.c	Tue Nov 26 13:09:35 2002
+++ events.c	Sat May 24 02:30:13 2003
@@ -49,11 +49,19 @@
 			show_info(c, key);
 			break;
 		case KEY_MAX:
 			maximise_horiz(c);
 		case KEY_MAXVERT:
-			maximise_vert(c);
+			maximise_vert(c); if (0)
+		case KEY_SKINNIER:
+			c->width -= c->size->width_inc>1 ? c->size->width_inc : 16; if (0)
+		case KEY_TALLER:
+			c->height += c->size->height_inc>1 ? c->size->height_inc : 16; if (0)
+		case KEY_SHORTER:
+			c->height -= c->size->height_inc>1 ? c->size->height_inc : 16; if (0)
+		case KEY_WIDER:
+			c->width += c->size->width_inc>1 ? c->size->width_inc : 16;
 			resize(c, 1);
 			setmouse(c->window, c->width + c->border - 1,
 					c->height + c->border - 1);
 			break;
 #ifdef VWM
@@ -230,11 +238,11 @@
 #endif
 		client_update_current(current, c);
 		client_update_current(c, current);
 		XSetInputFocus(dpy, c->window, RevertToPointerRoot, CurrentTime);
 #ifdef MOUSE
-		grab_button(c->parent, Mod1Mask, AnyButton);
+		grab_button(c->parent, MOUSE_MODIFIERS, AnyButton);
 #endif
 	}
 }
 
 void handle_leave_event(XCrossingEvent *e) {
--- orig-evilwm.1	Sat Nov 23 13:23:45 2002
+++ evilwm.1	Sat May 24 02:46:09 2003
@@ -1,6 +1,6 @@
-.TH evilwm 1 "November 23, 2002" "" ""
+.TH evilwm 1 "May 24, 2003" "" ""
 .SH NAME
 evilwm \- Minimalist Window Manager for X
 .SH SYNOPSIS
 .B evilwm [ \-display
 .I display
@@ -18,32 +18,34 @@
 is a minimalist window manager based on aewm, extended to feature
 many keyboard controls, and otherwise altered to be more friendly.
 .PP
 In
 .BR evilwm ,
-the focus follows the mouse pointer, and focus if not lost is
+the focus follows the mouse pointer, and focus is not lost if
 you stray onto the root window.  The current window border is shaded
 gold, with other windows left as a dark grey.
 .PP
 You can use the mouse to manipulate windows either by click/dragging
-the 1 pixel border, or by holding down Alt and doing so anywhere in the
+the 1 pixel border, or by holding down Meta and doing so anywhere in the
 client window. The controls are:
 .IP "Button 1"
 Move window.
 .IP "Button 2"
 Resize window.
 .IP "Button 3"
 Lower window.
 .PP
-Most keyboard controls are used by holding down Control and Alt, then
-pressing a key. Available functions are:
+Most keyboard controls are used by holding down Meta, then pressing a key.
+Available functions are:
 .IP Return
 Spawn new terminal.
 .IP Escape
 Delete current window.
-.IP Insert
+.IP "End, Insert"
 Lower current window.
+.IP "A, S, D, F"
+Increase/decrease window size horizontally/vertically.
 .IP "H, J, K, L"
 Move window left, down, up or right (16 pixels).
 .IP "Y, U, B, N"
 Move window to top-left, top-right, bottom-left or
 bottom-right of screen.
@@ -51,23 +53,22 @@
 Show information about current window.
 .IP Equals
 Maximise current window vertically (toggle).
 .IP X
 Maximise current window (toggle).
+.IP Tab
+Cycle through windows on screen.
 .PP
 If compiled with virtual desktop support, these functions are also available: 
-.IP F
+.IP G
 Fix or unfix current window.
 .IP "1 - 8"
 Switch virtual desktop.
 .IP Left
 Previous virtual desktop.
 .IP Right
 Next virtual desktop.
-.PP
-In addition to the above, Alt+Tab can be used to cycle through windows
-on screen.
 .PP
 To make 
 .B evilwm
 exit, you have to kill the process.
 .SH OPTIONS
--- orig-keymap.h	Thu May 23 11:27:55 2002
+++ keymap.h	Sat May 24 02:31:25 2003
@@ -1,24 +1,34 @@
 #ifndef _KEYMAP_H
 #define _KEYMAP_H
 
+/* Mod4Mask is the command key on my iBook */
+/* KEY_MODIFIERS default is ControlMask|Mod1Mask: */
+#define KEY_MODIFIERS	Mod4Mask
+/* MOUSE_MODIFIERS default is Mod1Mask: */
+#define MOUSE_MODIFIERS	Mod4Mask
+
 #define KEY_NEXT	XK_Tab
 #define KEY_NEW		XK_Return
 #define KEY_TOPLEFT	XK_y
 #define KEY_TOPRIGHT	XK_u
 #define KEY_BOTTOMLEFT	XK_b
 #define KEY_BOTTOMRIGHT	XK_n
 #define KEY_LEFT	XK_h
 #define KEY_RIGHT	XK_l
 #define KEY_DOWN	XK_j
 #define KEY_UP		XK_k
-#define KEY_LOWER	XK_Insert
+#define KEY_SKINNIER	XK_a
+#define KEY_WIDER	XK_f
+#define KEY_TALLER	XK_s
+#define KEY_SHORTER	XK_d
+#define KEY_LOWER	XK_End
 #define KEY_ALTLOWER	XK_KP_Insert
 #define KEY_INFO	XK_i
 #define KEY_MAXVERT	XK_equal
 #define KEY_MAX		XK_x
-#define KEY_FIX		XK_f
+#define KEY_FIX		XK_g
 #define KEY_PREVDESK	XK_Left
 #define KEY_NEXTDESK	XK_Right
 /* Mixtures of Ctrl, Alt an Escape are used for things like VMWare and
  * XFree86/Cygwin, so the KILL key is an option in the Makefile  */
 #ifndef KEY_KILL
--- orig-main.c	Tue Nov 26 13:08:17 2002
+++ main.c	Sat May 24 02:56:39 2003
@@ -168,13 +168,14 @@
 	XSetWindowAttributes attr;
 	XColor dummy;
 	XModifierKeymap *modmap;
 	KeySym *keysym;
 	KeySym keys_to_grab[] = {
-		KEY_NEW, KEY_KILL,
+		KEY_NEW, KEY_KILL, KEY_NEXT,
 		KEY_TOPLEFT, KEY_TOPRIGHT, KEY_BOTTOMLEFT, KEY_BOTTOMRIGHT,
 		KEY_LEFT, KEY_RIGHT, KEY_DOWN, KEY_UP,
+		KEY_SKINNIER, KEY_WIDER, KEY_SHORTER, KEY_TALLER,
 		KEY_LOWER, KEY_ALTLOWER, KEY_INFO, KEY_MAXVERT, KEY_MAX,
 #ifdef VWM
 		KEY_FIX, KEY_PREVDESK, KEY_NEXTDESK,
 		XK_1, XK_2, XK_3, XK_4, XK_5, XK_6, XK_7, XK_8,
 #endif
@@ -277,14 +278,12 @@
 		/* Unfortunately grabbing AnyKey under Solaris seems not to work */
 		/* XGrabKey(dpy, AnyKey, ControlMask|Mod1Mask, root, True, GrabModeAsync, GrabModeAsync); */
 		/* So now I grab each and every one. */
 
 		for (keysym = keys_to_grab; *keysym; keysym++) {
-			grab_keysym(screens[i].root, ControlMask|Mod1Mask, *keysym);
+			grab_keysym(screens[i].root, KEY_MODIFIERS, *keysym);
 		}
-		grab_keysym(screens[i].root, Mod1Mask, XK_Tab);
-
 		/* scan all the windows on this screen */
 #ifdef XDEBUG
 		fprintf(stderr, "main:XQueryTree(); ");
 #endif
 		XQueryTree(dpy, screens[i].root, &dw1, &dw2, &wins, &nwins);
